# Interface IconAtlasOptionsCommon

Common icon atlas options.

interface IconAtlasOptionsCommon {
iconAtlasTexture: Texture;
iconMaxSize?: number;
numberOfIconsInAStyle: number;
occlusionCullingIntervalMs?: number;
totalNumberOfIconsAndStyles: number;
}

#### Hierarchy (View Summary)

- IconAtlasOptionsCommon
  - IconAtlasOptionsAlpha
  - IconAtlasOptionsNoAlpha

##### Index

### Properties

iconAtlasTexture
iconMaxSize?
numberOfIconsInAStyle
occlusionCullingIntervalMs?
totalNumberOfIconsAndStyles

## Properties

### iconAtlasTexture

iconAtlasTexture: Texture

Power of 2 texture, containing squared icons in grayscale or color. You can use getTexture to load texture from URL.

### `Optional` iconMaxSize

iconMaxSize?: number

Set the maximum size a icon can have. If not specified default is 16. Each icon can scale this value down by setting Icon.size to a skale between 0-1

### numberOfIconsInAStyle

numberOfIconsInAStyle: number

The number of different icon in the same style. All icons in the set needs to have the same amount of style variations.

### `Optional` occlusionCullingIntervalMs

occlusionCullingIntervalMs?: number

If specified occlusion culling occurs at this interval in ms. If 0 occlusion culling occurs on every frame (very expensive)

### totalNumberOfIconsAndStyles

totalNumberOfIconsAndStyles: number

E.g in a texture with 4 X 4 icons, the total amount is 16